Package de.gebit.integrity.services

## Class DSLGrammarAccess.CallElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.CallElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.CallElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getCallKeyword_0()` |
    `org.eclipse.xtext.Assignment` | `getDefinitionAssignment_3()` |
    `org.eclipse.xtext.CrossReference` | `getDefinitionCallDefinitionCrossReference_3_0()` |
    `org.eclipse.xtext.RuleCall` | `getDefinitionCallDefinitionQualifiedNameParserRuleCall_3_0_1()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_2()` |
    `org.eclipse.xtext.Group` | `getGroup_4()` |
    `org.eclipse.xtext.Group` | `getGroup_5()` |
    `org.eclipse.xtext.Group` | `getGroup_6()` |
    `org.eclipse.xtext.Keyword` | `getHyphenMinusGreaterThanSignKeyword_6_1()` |
    `org.eclipse.xtext.Assignment` | `getMultiplierAssignment_2_0()` |
    `org.eclipse.xtext.RuleCall` | `getMultiplierExecutionMultiplierParserRuleCall_2_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_4_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_6_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_6_2()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_7()` |
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_4_1()` |
    `org.eclipse.xtext.RuleCall` | `getParametersParameterParserRuleCall_4_1_0()` |
    `org.eclipse.xtext.Assignment` | `getResultAssignment_6_3()` |
    `org.eclipse.xtext.Assignment` | `getResultsAssignment_5_1()` |
    `org.eclipse.xtext.RuleCall` | `getResultsNamedCallResultParserRuleCall_5_1_0()` |
    `org.eclipse.xtext.RuleCall` | `getResultVariableVariableParserRuleCall_6_3_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallElements

          public CallElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getCallKeyword_0

          public org.eclipse.xtext.Keyword getCallKeyword_0()

    - #### getNLParserRuleCall_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_1()

    - #### getGroup_2

          public org.eclipse.xtext.Group getGroup_2()

    - #### getMultiplierAssignment_2_0

          public org.eclipse.xtext.Assignment getMultiplierAssignment_2_0()

    - #### getMultiplierExecutionMultiplierParserRuleCall_2_0_0

          public org.eclipse.xtext.RuleCall getMultiplierExecutionMultiplierParserRuleCall_2_0_0()

    - #### getNLParserRuleCall_2_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2_1()

    - #### getDefinitionAssignment_3

          public org.eclipse.xtext.Assignment getDefinitionAssignment_3()

    - #### getDefinitionCallDefinitionCrossReference_3_0

          public org.eclipse.xtext.CrossReference getDefinitionCallDefinitionCrossReference_3_0()

    - #### getDefinitionCallDefinitionQualifiedNameParserRuleCall_3_0_1

          public org.eclipse.xtext.RuleCall getDefinitionCallDefinitionQualifiedNameParserRuleCall_3_0_1()

    - #### getGroup_4

          public org.eclipse.xtext.Group getGroup_4()

    - #### getNLParserRuleCall_4_0

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_4_0()

    - #### getParametersAssignment_4_1

          public org.eclipse.xtext.Assignment getParametersAssignment_4_1()

    - #### getParametersParameterParserRuleCall_4_1_0

          public org.eclipse.xtext.RuleCall getParametersParameterParserRuleCall_4_1_0()

    - #### getGroup_5

          public org.eclipse.xtext.Group getGroup_5()

    - #### getNLParserRuleCall_5_0

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5_0()

    - #### getResultsAssignment_5_1

          public org.eclipse.xtext.Assignment getResultsAssignment_5_1()

    - #### getResultsNamedCallResultParserRuleCall_5_1_0

          public org.eclipse.xtext.RuleCall getResultsNamedCallResultParserRuleCall_5_1_0()

    - #### getGroup_6

          public org.eclipse.xtext.Group getGroup_6()

    - #### getNLParserRuleCall_6_0

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_6_0()

    - #### getHyphenMinusGreaterThanSignKeyword_6_1

          public org.eclipse.xtext.Keyword getHyphenMinusGreaterThanSignKeyword_6_1()

    - #### getNLParserRuleCall_6_2

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_6_2()

    - #### getResultAssignment_6_3

          public org.eclipse.xtext.Assignment getResultAssignment_6_3()

    - #### getResultVariableVariableParserRuleCall_6_3_0

          public org.eclipse.xtext.RuleCall getResultVariableVariableParserRuleCall_6_3_0()

    - #### getNLParserRuleCall_7

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_7()